Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FieldConvertors.h File Reference

Go to the source code of this file.

## Classes

struct | FIX::EmptyConvertor
| Empty convertor is a no-op. More...
struct | FIX::IntConvertor
| Converts integer to/from a string. More...
struct | FIX::CheckSumConvertor
| Converts checksum to/from a string. More...
struct | FIX::DoubleConvertor
| Converts double to/from a string. More...
struct | FIX::CharConvertor
| Converts character to/from a string. More...
struct | FIX::BoolConvertor
| Converts boolean to/from a string. More...
struct | FIX::UtcTimeStampConvertor
| Converts a UtcTimeStamp to/from a string. More...
struct | FIX::UtcTimeOnlyConvertor
| Converts a UtcTimeOnly to/from a string. More...
struct | FIX::UtcDateConvertor
| Converts a UtcDate to/from a string. More...

## Namespaces

namespace | FIX

## Typedefs

typedef EmptyConvertor | FIX::StringConvertor
typedef UtcDateConvertor | FIX::UtcDateOnlyConvertor
typedef StringConvertor | FIX::STRING_CONVERTOR
typedef CharConvertor | FIX::CHAR_CONVERTOR
typedef DoubleConvertor | FIX::PRICE_CONVERTOR
typedef IntConvertor | FIX::INT_CONVERTOR
typedef DoubleConvertor | FIX::AMT_CONVERTOR
typedef DoubleConvertor | FIX::QTY_CONVERTOR
typedef StringConvertor | FIX::CURRENCY_CONVERTOR
typedef StringConvertor | FIX::MULTIPLEVALUESTRING_CONVERTOR
typedef StringConvertor | FIX::MULTIPLESTRINGVALUE_CONVERTOR
typedef StringConvertor | FIX::MULTIPLECHARVALUE_CONVERTOR
typedef StringConvertor | FIX::EXCHANGE_CONVERTOR
typedef UtcTimeStampConvertor | FIX::UTCTIMESTAMP_CONVERTOR
typedef BoolConvertor | FIX::BOOLEAN_CONVERTOR
typedef StringConvertor | FIX::LOCALMKTDATE_CONVERTOR
typedef StringConvertor | FIX::DATA_CONVERTOR
typedef DoubleConvertor | FIX::FLOAT_CONVERTOR
typedef DoubleConvertor | FIX::PRICEOFFSET_CONVERTOR
typedef StringConvertor | FIX::MONTHYEAR_CONVERTOR
typedef StringConvertor | FIX::DAYOFMONTH_CONVERTOR
typedef UtcDateConvertor | FIX::UTCDATE_CONVERTOR
typedef UtcTimeOnlyConvertor | FIX::UTCTIMEONLY_CONVERTOR
typedef IntConvertor | FIX::NUMINGROUP_CONVERTOR
typedef DoubleConvertor | FIX::PERCENTAGE_CONVERTOR
typedef IntConvertor | FIX::SEQNUM_CONVERTOR
typedef IntConvertor | FIX::LENGTH_CONVERTOR
typedef StringConvertor | FIX::COUNTRY_CONVERTOR
typedef StringConvertor | FIX::TZTIMEONLY_CONVERTOR
typedef StringConvertor | FIX::TZTIMESTAMP_CONVERTOR
typedef StringConvertor | FIX::XMLDATA_CONVERTOR
typedef StringConvertor | FIX::LANGUAGE_CONVERTOR
typedef CheckSumConvertor | FIX::CHECKSUM_CONVERTOR

## Functions

template<class T >
char * | FIX::integer_to_string (char *buf, const size_t len, T t)
template<class T >
char * | FIX::integer_to_string_padded (char *buf, const size_t len, T t, const size_t width=0, const char paddingChar= '0')